##########################################################################
##                                                                      ##
##  Copyright (c) 2023 Philipp Lösel. All rights reserved.              ##
##                                                                      ##
##  This file is part of the open source project biomedisa.             ##
##                                                                      ##
##  Licensed under the European Union Public Licence (EUPL)             ##
##  v1.2, or - as soon as they will be approved by the                  ##
##  European Commission - subsequent versions of the EUPL;              ##
##                                                                      ##
##  You may redistribute it and/or modify it under the terms            ##
##  of the EUPL v1.2. You may not use this work except in               ##
##  compliance with this Licence.                                       ##
##                                                                      ##
##  You can obtain a copy of the Licence at:                            ##
##                                                                      ##
##  https://joinup.ec.europa.eu/page/eupl-text-11-12                    ##
##                                                                      ##
##  Unless required by applicable law or agreed to in                   ##
##  writing, software distributed under the Licence is                  ##
##  distributed on an "AS IS" basis, WITHOUT WARRANTIES                 ##
##  OR CONDITIONS OF ANY KIND, either express or implied.               ##
##                                                                      ##
##  See the Licence for the specific language governing                 ##
##  permissions and limitations under the Licence.                      ##
##                                                                      ##
##########################################################################

import sys, os

if __name__ == "__main__":

    # queue
    queue = sys.argv[1]

    # path to biomedisa
    BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

    # wait for pid
    while not os.path.exists(BASE_DIR + f'/log/pid_{queue}'):
        pass

    # get pid
    with open(BASE_DIR + f'/log/pid_{queue}', 'r') as pidfile:
        pid = pidfile.read()

    # remove pid file
    os.remove(BASE_DIR + f'/log/pid_{queue}')

    # stop process
    os.system(f'kill {pid}')

